コード例 #1
0
        //--------------------------------------------------------------------------------------------------

        public bool ScreenToPoint(Pln plane, int screenX, int screenY, out Pnt resultPnt)
        {
            try
            {
                double xv = 0, yv = 0, zv = 0;
                double vx = 0, vy = 0, vz = 0;

                V3dView.Convert(screenX, screenY, ref xv, ref yv, ref zv);
                V3dView.Proj(ref vx, ref vy, ref vz);

                gp_Lin line = new gp_Lin(new Pnt(xv, yv, zv), new Dir(vx, vy, vz));
                IntAna_IntConicQuad intersection = new IntAna_IntConicQuad(line, plane, Precision.Angular(), 0, 0);

                if (intersection.IsDone() &&
                    !intersection.IsParallel() &&
                    intersection.NbPoints() > 0)
                {
                    resultPnt = intersection.Point(1);
                    return(true);
                }
            }
            catch (Exception)
            {
                Debug.Assert(false);
            }

            resultPnt = new Pnt();
            return(false);
        }
コード例 #2
0
 public void DumpSegment(gp_Pnt P, gp_Lin L, double Par, TopAbs_State S)
 {
     throw new NotImplementedException();
 }
コード例 #3
0
 public void SetValue(int theIndex, gp_Lin theItem)
 {
     throw new NotImplementedException();
 }
コード例 #4
0
ファイル: BndLib.cs プロジェクト: Oblikovati/CascadeSharp
 public void Add(gp_Lin L, double P1, double P2, double Tol, Bnd_Box B)
 {
     throw new NotImplementedException();
 }
コード例 #5
0
 public void Get(gp_Lin C, ref double F, ref double L)
 {
     throw new NotImplementedException();
 }
コード例 #6
0
ファイル: Geom_Line.cs プロジェクト: Oblikovati/CascadeSharp
 public Geom_Line(gp_Lin L)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #7
0
 public Intf_Array1OfLin(gp_Lin theBegin, int theLower, int theUpper)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #8
0
 public ProjLib_Cylinder(gp_Cylinder Cyl, gp_Lin L)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #9
0
 public IntAna_IntConicQuad(gp_Lin L, gp_Pln P, double Tolang)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #10
0
 public IntAna_IntConicQuad(gp_Lin L, IntAna_Quadric Q)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #11
0
 public void Perform(gp_Lin L, gp_Pln P, double Tolang)
 {
     throw new NotImplementedException();
 }
コード例 #12
0
 public void LinBox(gp_Lin theLin, Bnd_Box bounding, Bnd_Box boxLin)
 {
     throw new NotImplementedException();
 }
コード例 #13
0
 public void PerformConicSurf(gp_Lin Line, Adaptor3d_HCurve Curve, Adaptor3d_HSurface Surface, double U1,
                              double V1, double U2, double V2)
 {
     throw new NotImplementedException();
 }
コード例 #14
0
 public void Perform(gp_Lin L, double Prm, double Tol, TopoDS_Face F)
 {
     throw new NotImplementedException();
 }
コード例 #15
0
 public int SegPln(gp_Lin theLin, double theTLin1, double theTLin2, double theTolLin, gp_Pln thePln,
                   double theTolPln, gp_Pnt theP, ref double theT, ref double theTolP, ref double theTmin, ref double theTmax)
 {
     throw new NotImplementedException();
 }
コード例 #16
0
 public BRepLib_MakeEdge(gp_Lin L, TopoDS_Vertex V1, TopoDS_Vertex V2)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #17
0
 public GC_MakeLine(gp_Lin Lin, gp_Pnt Point)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #18
0
 public void Perform(gp_Lin L, IntAna_Quadric Q)
 {
     throw new NotImplementedException();
 }
コード例 #19
0
 public void Project(gp_Lin L)
 {
     throw new NotImplementedException();
 }
コード例 #20
0
 public ProjLib_Plane(gp_Pln Pl, gp_Lin L)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #21
0
 public void Init(gp_Lin theValue)
 {
     throw new NotImplementedException();
 }
コード例 #22
0
 public void OtherSegment(gp_Pnt P, gp_Lin L, ref double Par)
 {
     throw new NotImplementedException();
 }
コード例 #23
0
ファイル: Geom_Line.cs プロジェクト: Oblikovati/CascadeSharp
 public void SetLin(gp_Lin L)
 {
     throw new NotImplementedException();
 }
コード例 #24
0
 public bool RejectFace(gp_Lin L, double Par)
 {
     throw new NotImplementedException();
 }
コード例 #25
0
 public gce_MakeMirror(gp_Lin Line)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #26
0
 public gce_MakeCone(gp_Lin Ax_is, gp_Pnt P1, gp_Pnt P2)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #27
0
 public void InsertAfter(int theIndex, gp_Lin theItem)
 {
     throw new NotImplementedException();
 }
コード例 #28
0
 public BRepLib_MakeEdge(gp_Lin L, double p1, double p2)
     : base()
 {
     throw new NotImplementedException();
 }
コード例 #29
0
 public void Append(gp_Lin theItem)
 {
     throw new NotImplementedException();
 }
コード例 #30
0
 public BRepLib_MakeEdge(gp_Lin L, gp_Pnt P1, gp_Pnt P2)
     : base()
 {
     throw new NotImplementedException();
 }